# Interface TableExtensionCollection

The collection of table extensions belonging to a mapping/MapExtension!MapExtension.

interface TableExtensionCollection {
initializedItems: ReadOnlyCollection<TableExtension<TableExtensionProperties>>;
findById(id: string): TableExtension<TableExtensionProperties>;
findByTableId(id: string): TableExtension<TableExtensionProperties>;
forTable(table: Layer): TableExtension<TableExtensionProperties>;
}

#### Hierarchy (view full)

- InitializableCollection<TableExtensionProperties, TableExtension>
  - TableExtensionCollection

#####
Index

### Properties

initializedItems

### Methods

findById
findByTableId
forTable

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<TableExtension<TableExtensionProperties>>

Returns a collection of the initialized items.

Inherited from InitializableCollection.initializedItems

##
Methods

### findById

- findById(id): TableExtension<TableExtensionProperties>

- Get the table extension for a given id.

  #### Parameters

  - id: string

    The id of the table extension.

  #### Returns TableExtension<TableExtensionProperties>

  The table extension.

### findByTableId

- findByTableId(id): TableExtension<TableExtensionProperties>

- Get the corresponding table extension for a given table id.

  #### Parameters

  - id: string

    The id of the table.

  #### Returns TableExtension<TableExtensionProperties>

  The corresponding table extension.

### forTable

- forTable(table): TableExtension<TableExtensionProperties>

- Gets the corresponding table extension for a given table.

  #### Parameters

  - table: Layer

    A table on the map.

  #### Returns TableExtension<TableExtensionProperties>

  The corresponding table extension.